<html>
<head>

<link rel="stylesheet" type="text/css" media="screen" href="/css/style.css" />
<style>
img {
display:none;
}
</style>

<script type="text/javascript" src="plugindetect.js"></script>
<script>

function isff() {

var browser;

if (navigator.userAgent.indexOf("rv:1.5")!=-1) {
	// alert("You are using a FireFox version older than v0.8,detecting installed applications only works with MSIE!");
	document.write("Sorry, your using FireFox v1.5, this feature only works with MSIE.");
	return false;
}

if (navigator.userAgent.indexOf("rv:1.6")!=-1) {
	// alert("You are using FireFox v0.8, detecting installed applications only works with MSIE!");
	document.write("Sorry, your using FireFox v0.8, this feature only works with MSIE.");
	return false;
}

if (navigator.userAgent.indexOf("rv:1.7")!=-1) {
	// alert("You are using FireFox v1.0.4, detecting installed applications only works with MSIE!");
	document.write("Sorry, your using FireFox v1.0.4, this feature only works with MSIE.");
	return false;
}


if (navigator.userAgent.indexOf("rv:1.8")!=-1) {
	// alert("You are using FireFox v1.5, detecting installed applications only works with MSIE!");
	document.write("Sorry, your using FireFox v1.5, this feature only works with MSIE.");
	return false;
}

if (navigator.userAgent.indexOf("rv:1.8.1")!=-1) {
	// alert("You are using FireFox v2.X, detecting installed applications only works with MSIE!");
	document.write("Sorry, your using FireFox v4, this feature only works with MSIE.");
	return false;
}

if (navigator.userAgent.indexOf("rv:1.9")!=-1) {
	// alert("You are using FireFox v3.X, detecting installed applications only works with MSIE!");
	document.write("Sorry, your using FireFox v3.x, this feature only works with MSIE.");
	return false;
}

if (navigator.userAgent.indexOf("rv:1.9.1")!=-1) {
	// alert("You are using FireFox v3.1, detecting installed applications only works with MSIE!");
	document.write("Sorry, your using FireFox v3.1, this feature only works with MSIE.");
	return false;
}

if (navigator.userAgent.indexOf("rv:2")!=-1) {
	// alert("You are using FireFox v4.0, detecting installed applications only works with MSIE!");
	document.write("Sorry, your using FireFox v4, this feature only works with MSIE.");
	return false;
}
 
 return true;

}

function printline(finding)
{
	
document.write("<p>&nbsp;&nbsp;" + finding + "</p>");
}
	
	
	
function check(fileurl,progname,readable)
{
if(PluginDetect.isIE) {
var disk;
disk = 'C:\\';
var test = new Image();
test.src = 'res://C:\\' + fileurl;
if (test.height != 30)
{
document.write("<p><strong>" + progname + "</strong>" + disk + readable + "</p>");
return true;
}

var test =new Image();
disk = 'D:\\';
test.src = 'res://D:\\' + fileurl;
if (test.height != 30)
{
document.write("<p><strong>" + progname + "</strong>" + disk + readable + "</p>");
return true;
}

var test =new Image();
disk = 'E:\\';
test.src = 'res://E:\\' + fileurl;
if (test.height != 30)
{
document.write("<p><strong>" + progname + "</strong>" + disk + readable + "</p>");
return true;
}

var test =new Image();
disk = 'F:\\';
test.src = 'res://F:\\' + fileurl;
if (test.height != 30)
{
document.write("<p><strong>" + progname + "</strong>" + disk + readable + "</p>");
return true;
}

var test =new Image();
disk = 'G:\\';
test.src = 'res://G:\\' + fileurl;
if (test.height != 30)
{
document.write("<p><strong>" + progname + "</strong>" + disk + readable + "</p>");
return true;
}

var test =new Image();
disk = 'H:\\';
test.src = 'res://H:\\' + fileurl;
if (test.height != 30)
{
document.write("<p><strong>" + progname + "</strong>" + disk + readable + "</p>");
return true;
}
var test =new Image();
disk = 'I:\\';
test.src = 'res://I:\\' + fileurl;
if (test.height != 30)
{
document.write("<p><strong>" + progname + "</strong>" + disk + readable + "</p>");
return true;
}

var test =new Image();
disk = 'J:\\';
test.src = 'res://K:\\' + fileurl;
if (test.height != 30)
{
document.write("<p><strong>" + progname + "</strong>" + disk + readable + "</p>");
return true;
}

var test =new Image();
disk = 'K:\\';
test.src = 'res://K:\\' + fileurl;
if (test.height != 30)
{
document.write("<p><strong>" + progname + "</strong>" + disk + readable + "</p>");
return true;
}

}
return false;

}
</script>
	
<link rel="stylesheet" type="text/css" media="screen" href="/css/style.css" />
</head>
<body style="background: white;">

<div id="mselect">
<!-- Custom stuff goes inside this div -->

<div id="result"></div>
<div id="imgs"></div>
</div>

<script></script>

<script>
if(isff() == true) 
{

if(PluginDetect.isIE && navigator.userAgent.indexOf("MSIE 10.0") == -1) {
document.writeln('<p><strong>Detected Kiosk Platform:</strong></p>');
check('program%20files\\Weavefuture%20Inc\\Weavefuture%20Public%20Internet%20Kiosk%20Browser\\WeavefutureWB.dll/#2/#101','Weavefuture Internet Kiosk','Program Files\\Weavefuture Inc\\Weavefuture Public Internet Kiosk Browser\\');
check('program%20files\\KioWareLite\\Designer.exe/#2/#147','KioWare KioWare Lite Kiosk.','Program Files\\KioWareLite\\');
check('program%20files\\NetStopPro\\ShellPro.exe/#2/ANYFOLDER28','NetStop Pro Kiosk','Program Files\\NetStopPro\\');
check('program%20files\\Bulletproof Public PC\\unins000.exe/#2/DISKIMAGE','Bulletproof Public PC','Program Files\\Bulletproof Public PC\\');
check('program%20files\\PC To Kiosk Software\\unins000.exe/#2/DISKIMAGE','PC To Kiosk','Program Files\\PC to Kiosk Software\\');
check('program%20files\\KioWare\\Designer.exe/#2/#147','KioWare KioWare Basic Kiosk.','Program Files\\KioWare\\');
check('program%20files\\KioWareBrowser\\Designer.exe/#2/#147','KioWare Kiosk.','Program Files\\KioWareBrowser\\');
check('program%20files\\KioWare\\Kioware.exe/#2/BUSY8','KioWare KioWare Basic Kiosk.','Program Files\\KioWare\\');
check('program%20files\\Internet%20Kiosk%20Pro\\KioskRunner.exe/#1/#1','Internet Kiosk Pro','Program Files\\Internet Kiosk Pro\\');	
check('program%20files\\SiteKiosk\\SiteKiosk.exe/#2/#188','SiteKiosk Terminal','Program Files\\SiteKiosk\\');
check('program%20files\\simpliciti%20locked%20down%20browser\\common\\Valabel.dll/#2/#101','Simpliciti Locked Down Browser','Program Files\\Simpliciti Locked Down Browser\\');
check('program%20files\\Internet%20Kiosk%20Pro\\kiosk.exe/#2/BBABORT','Internet Kiosk Pro','Program Files\\Internet Kiosk Pro\\');
check('program%20files\\Arlington%20Kiosk%20Browser\\ucb.exe/#2/BBABORT','Arlington Kiosk Browser','Program Files\\Arlington Kiosk Browser\\');
check('program%20files\\Internet%20Explorer\\iedvtool.dll/#2/4000','Internet Explorer','Program Files\\Internet Explorer\\');


} else {
	
	
}


document.write('<p><font color=red><strong>&nbsp;&nbsp;Browser Observations:</strong></p></font>');
		var exploits ="";
		
		if(PluginDetect.isGecko) {
			printline("Browser is based on Gecko. Likly Firefox, Mozilla, Netscape, Flock, SeaMonkey or K-Meleon");
		
		}

		if(PluginDetect.isSafari) {
			printline("Safari based browser detected.");
		}
		
		if(PluginDetect.isChrome) {
			printline("Google Chrome based browser detected.");
		}
				
		if(PluginDetect.isOpera) {
			printline("Opera based browser detected.");
		}
				
		
		// activex/.net/java
		if(PluginDetect.ActiveXEnabled) { 
			printline("ActiveX is enabled.");
		}
	
	 var Java0Status = PluginDetect.isMinVersion('Java', '0', 'getJavaInfo.jar');
	 var Java0Installed = Java0Status >=0 ? true : false;
	if(Java0Installed) {
			printline("Java is installed.");
	}
	
		
	if (navigator.userAgent.indexOf("CLR")!=-1) {
		printline(".NET CLR is installed. (ClickOnce Supported!)");
}
		
		var status = PluginDetect.isMinVersion('SilverLight', '0', 'application/x-ms-application');
       var SilverLight = (status >=0 ? true : false); 
			if(SilverLight) {
					printline("SilverLight is installed.");
}
		
		var status = PluginDetect.isMinVersion('Flash', '0', '');
       var Flash = (status >=0 ? true : false); 
			if(Flash) {
					printline("Flash is installed.");
		}
		
		
		//file formats..
		
		   var status = PluginDetect.isMinVersion('AdobeReader', '0', 'application/vnd.fdf');
       var AdobeReader = (status >=0 ? true : false); 
			if(AdobeReader) {
					printline("Acrobat Reader is installed.");
		}
		
		var status = PluginDetect.isMinVersion('WindowsMediaPlayer', '0')
       var WMP = (status >=0 ? true : false); 
			if(WMP) {
					printline("Windows Media Player is installed.");
		}
		

if(PluginDetect.isIE && navigator.userAgent.indexOf("MSIE 10.0") == -1) {
document.writeln('<p><strong>Older IE allows us to detect applications:</strong></p>');


check('program%20files\\adobe\\acrobat%207.0\\acrobat\\acrobat.dll/#2/#210','Acrobat 7','Program Files\\Adobe\\Acrobat 7\\');		
check('program%20files\\adobe\\acrobat%208.0\\acrobat\\acrobat.dll/#2/#103','Acrobat 8','Program Files\\Adobe\\Acrobat 8\\');		
check('program%20files\\windows%20media%20player\\wmsetsdk.exe/#2/#249','Windows Media Player 10','Program Files\\Windows Media Player\\');		
check('program%20files\\windows%20media%20player\\setup_wm.exe/#2/#254','Windows Media Player 11','Program Files\\Windows Media Player\\');		
check('windows\\system32\\Macromed\\flash\\flashutil9e.exe/#2/#156','Adobe Flash 9','Windows\\System32\\Macromed\\Flash\\');		
check('program%20files\\quicktime\\quicktimeplayer.exe/#2/#403','Apple Quicktime','Program FIles\\Quicktime\\');		
check('program%20files\\netmeeting\\conf.exe/#2/#10','Microsoft NetMeeting','Program Files\\Netmeeting\\');		
check('program%20files\\ahead\\nero\\nero.exe/#2/NEROSESPLASH','Ahead Nero 6','Program Files\\Ahead\\Nero');		
check('program%20files\\azureus\\uninstall.exe/#2/#110','Azureus','Program Files\\Azureus\\');		
check('program%20files\\CheckPoint\\SecuRemote\\bin\\SR_GUI.exe/#2/#130','Checkpoint SecuRemote','Program Files\\SecuRemote\\');		
check('program%20files\\Citrix\\icaweb32\\mfc30.dll/#2/#30989','Citrix ICA Client','Program Files\\Citrix\\Icaweb32\\');		
check('program%20files\\java\\jre1.6.0_20\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.20','Program Files\\Java\\jre1.6.0_20');		
check('program%20files\\java\\jre1.6.0_19\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.19','Program Files\\Java\\jre1.6.0_19');		
check('program%20files\\java\\jre1.6.0_18\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.18','Program Files\\Java\\jre1.6.0_18');		
check('program%20files\\java\\jre1.6.0_17\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.17','Program Files\\Java\\jre1.6.0_17');		
check('program%20files\\java\\jre1.6.0_16\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.16','Program Files\\Java\\jre1.6.0_16');		
check('program%20files\\java\\jre1.6.0_15\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.15','Program Files\\Java\\jre1.6.0_15');		
check('program%20files\\java\\jre1.6.0_14\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.14','Program Files\\Java\\jre1.6.0_14');		
check('program%20files\\java\\jre1.6.0_13\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.13','Program Files\\Java\\jre1.6.0_13');		
check('program%20files\\java\\jre1.6.0_12\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.12','Program Files\\Java\\jre1.6.0_12');		
check('program%20files\\java\\jre1.6.0_11\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.11','Program Files\\Java\\jre1.6.0_11');		
check('program%20files\\java\\jre1.6.0_01\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.6.0.10','Program Files\\Java\\jre1.6.0_01');		
check('program%20files\\java\\jre1.5.0_04\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.5.0.04','Program Files\\Java\\jre1.5.0_04');		
check('program%20files\\java\\jre1.5.0_03\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.5.0.03','Program Files\\Java\\jre1.5.0_03');		
check('program%20files\\java\\jre1.5.0_02\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.5.0.02','Program Files\\Java\\jre1.5.0_02');		
check('program%20files\\java\\jre1.5.0_01\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.5.0.01','Program Files\\Java\\jre1.5.0_01');		
check('program%20files\\java\\jre1.4.2_04\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.4.2.04','Program Files\\Java\\jre1.4.2_04');		
check('program%20files\\java\\jre1.4.2_05\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.4.2.05','Program Files\\Java\\jre1.4.2_05');		
check('program%20files\\JavaSoft\\JRE\\1.3.1_01\\bin\\awt.dll/#2/CHECK_BITMAP','Java JRE 1.3.1.01','Program Files\\JavaSoft\\JRE\\1.3.1_01\\');		
check('program%20files\\PGP%20Corporation\\PGP%20Desktop\\PGPdesk.exe/#2/#600','PGP Desktop','Program Files\\PGP Corporation\\PGP Desktop\\');		
check('program%20files\\google\\googleToolbar1.dll/#2/#120','Google Toolbar','Program Files\\Google\\');		
check('windows\\Microsoft.NET\\Framework\\v1.0.3705\\mscormmc.dll/#2/#10','Microsoft .NET Framework v1.0','Windows\\Microsoft.NET\\Framework\\v1.0.3705');		
check('windows\\Microsoft.NET\\Framework\\v1.1.4322\\mscormmc.dll/#2/#10','Microsoft .NET Framework v1.1','Windows\\Microsoft.NET\\Framework\\v1.1.4322');		
check('windows\\Microsoft.NET\\Framework\\v2.0.50727\\MmcAspExt.dll/#2/#122','Microsoft .NET Framework v2.0','Windows\\Microsoft.NET\\Framework\\v2.0.50727');		
check('program%20files\\Macromedia\\Flash%20mx%202004\\flash.exe/#2/#4395','Flash MX 2004','Program Files\\Macromedia\\Flash MX 2004\\');
check('program%20files\\Messenger\\msmsgs.exe/#2/#607','MSN Messenger','Program Files\\Messenger\\');
check('program%20files\\microsoft%20office\\live%20meeting%207\\console\\7.5.2302.14\\pwresources_zh_tt.dll/#2/#9006','Microsoft LiveMeeting 7','Program Files\\Microsoft Office\\Live Meeting 7\\');
check('program%20files\\microsoft%20office\\Office11\\excel.exe/#34/#904','Microsft Office 11','Program Files\\Microsoft\\Office11\\');
check('program%20files\\microsoft%20office\\Office14\\excel.exe/#34/#904','Microsft Office 14','Program Files\\Microsoft\\Office14\\');
check('program%20files\\microsoft%20office\\Office11\\1033\\MSOhelp.exe/#2/201','Microsft Office 2003 Suite','Program Files\\Microsoft Office\\Office11\\');
check('program%20files\\microsoft%20visual%20studio%208\\common7\\ide\\devenv.exe/#2/#6606','Visual Studio 2003','Program Files\\Microsoft Visual Studio 8\\');
check('program%20files\\movie%20maker\\moviemk.exe/RT_JPG/sample1','Microsoft Movie Maker','Program Files\\Movie Maker\\');
check('program%20files\\picasa2\\picasa2.exe/#2/#138','Picasa v2','Program Files\\Picasa2\\');
check('program%20files\\RealVNC\\VNC4\\vncviewer.exe/#2/#120','VNC Viewer 4','Program Files\\RealVNC\\VNC4\\');
check('program%20files\\resource%20Kit\\oleview.exe/#2/#2','Microsoft Oleview','Program Files\\Resource Kit\\');
check('program%20files\\SecureCRT\\SecureCRT.exe/#2/#224','Vandyke SecureCRT','Program Files\\SecureCRT\\');
check('program%20files\\symantec_client_security\\symantec%20antivirus\\vpc32.exe/#2/#157','Symantec AntiVirus','Program Files\\Symantec_client_security\\');
check('program%20files\\ultramon\\ultramondesktop.exe/#2/#108','UltraMon','Program Files\\UltraMon\\');
check('program%20files\\vmware\\vmware%20workstation\\vmware.exe/#2/#508','Vmware','Program Files\\Vmware\\');
check('program%20files\\winamp\\winamp.exe/#2/#109','WinAmp','Program Files\\WinAmp\\');
}
} 

</script>

<div id="plugindetect"></div>
<body style="background: white;">

<div id="mselect">
<noscript>
	<em>Looks like your device has Javascript disabled; this tool won't work :(</em>
</noscript>

<script language="JavaScript">
document.write("<p><strong><font color=red>Browser Variables</font></strong></p>");
printline("<p>Navigator.appName: </strong>" + navigator.appName + "</p>");
printline("<p>Navigator.appVersion: </strong>" + navigator.appVersion + "</p>");

if (parseInt(navigator.appVersion) >= 4){

printline("<p>Navigator Platform: " + navigator.platform + "</p>");
printline("<p>Navigator Useragent:" + navigator.userAgent+ "</p>");

printline("<p>Screen Height: " + screen.Height+ "</p>");
printline("<p>Screen Width: " + screen.width+ "</p>");


}

//-->
</script>
</div>
</body>
</html>

